PartnerContacts
Send invitation email to join the partner portal.
It only sends the email if the team member was not already invited to the partner portal.
POST
/
v3
/
partner-contacts
/
{partnerContactId}
/
invite
Send invitation email to join the partner portal.
curl --request POST \
--url https://api.example.com/v3/partner-contacts/{partnerContactId}/invite \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"partnerContactId": 123,
"emailTemplateId": 123
}
'import requests
url = "https://api.example.com/v3/partner-contacts/{partnerContactId}/invite"
payload = {
"partnerContactId": 123,
"emailTemplateId": 123
}
headers = {"Content-Type": "application/json-patch+json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({partnerContactId: 123, emailTemplateId: 123})
};
fetch('https://api.example.com/v3/partner-contacts/{partnerContactId}/invite', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"partnerContact": {
"id": 123,
"email": "<string>",
"firstname": "<string>",
"lastname": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"isMainContact": true,
"partnerId": 123,
"userId": 123
},
"invitationUrl": "<string>"
}Path Parameters
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Send invitation email to join the partner portal.
